LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
LineDash Struct Referencepublished

A LineDash defines a non-continuous line. More...

`import"LineDash.idl";`

## Public Attributes
com::sun::star::drawing::DashStyle | Style
| This sets the style of this LineDash. More...
short | Dots
| This is the number of dots in this LineDash. More...
long | DotLen
| This is the length of a dot. More...
short | Dashes
| This is the number of dashes. More...
long | DashLen
| This is the length of a single dash. More...
long | Distance
| This is the distance between the dots. More...

## Detailed Description

A LineDash defines a non-continuous line.

## Member Data Documentation

short Dashes

This is the number of dashes.

long DashLen

This is the length of a single dash.

long Distance

This is the distance between the dots.

long DotLen

This is the length of a dot.

short Dots

This is the number of dots in this LineDash.

com::sun::star::drawing::DashStyle Style

This sets the style of this LineDash.

The documentation for this struct was generated from the following file:

- com/sun/star/drawing/LineDash.idl